Description

Problem description:

Environment: qgis 0.9.1 Ubuntu 7.10

after developing a small plugin I put the lib in my home directory and created a symlink in the qgis plugin directory pointing to it. But the

plugin was not listed in the Plugin manager (also no error message). Only after copying my plugin libfile into the plugin dir it worked.

The basic problem is this call:

qgspluginmanager.cpp:176: QDir pluginDir(txtPluginDir->text(), sharedLibExtension, QDir::Name | QDir::IgnoreCase, QDir::Files |

QDir::NoSymLinks);

(in current version 0.10.0 it's line 198)

Is there any reason for using the filter QDir::NoSymLinks?

I deleted this filter and it works well on my computer. I didn't test this on any other OS, so probably there are issues with Windows or

[[MacOS]]?

History

#1 - 2008-11-29 04:03 AM - Anne Ghisla

Hardlinks do work on QGIS 1.0 preview1 compiled on Debian Lenny (and previous versions), "symlinks" on Windows don't. As on Windows there is no

UNIX-like hardlink concept, this can be a problem for Windows plugin developers who need to keep a SVN working copy somewhere else than in QGIS

plugin folder. On Linux, simply create an hardlink using ln.

Leave open for more technical comments.

#2 - 2009-12-19 03:35 AM - Paolo Cavallini

Can this be closed?

#3 - 2010-06-11 10:03 PM - Paolo Cavallini

- Resolution set to worksforme

- Status changed from Open to Closed
